Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:		libgalago
Version:	0.5.2
Release:	1
Summary:	Galago presence library

Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.galago-project.org/
Source0:	http://www.galago-project.org/files/releases/source/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	check-devel
BuildRequires:	gtk-doc
BuildRequires:	gettext-devel


%description
Galago is a D-BUS-based desktop presence framework used to provide account,
person, and presence information for users on IM services and other
communication networks for use in other desktop applications, such as e-mail
clients or address books.


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	dbus-devel
Requires:	dbus-glib-devel
Requires:	pkgconfig
Requires:	%{name} = %{version}-%{release}


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --enable-static=no --disable-gtk-doc
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_libdir}/galago
rm -f $RPM_BUILD_ROOT%{_datadir}/autopackage/skeletons/@galago.info/%{name}/skeleton.1


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/%{name}.so.*
%dir %{_libdir}/galago


%files devel
%defattr(-,root,root,-)
%{_libdir}/%{name}.so
%{_libdir}/%{name}.la
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Tue Mar 18 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.2-1
- Initial release